/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/impl/endpoint/EndpointBuilder.java,v 1.3 2005/06/03 01:17:24 gnt Exp $
 * $Revision: 1.3 $
 * $Date: 2005/06/03 01:17:24 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.impl.endpoint;

import java.net.URI;

import org.mule.umo.endpoint.MalformedEndpointException;
import org.mule.umo.endpoint.UMOEndpointURI;

/**
 * <code>EndpointBuilder</code> determines how a uri is translated to a
 * MuleEndpointURI Connectors can override the default behaviour to suit their
 * needs
 * 
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.3 $
 */

public interface EndpointBuilder
{
    UMOEndpointURI build(URI uri) throws MalformedEndpointException;
}
