/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/impl/internal/events/ModelEventListener.java,v 1.4 2005/06/03 01:17:24 gnt Exp $
 * $Revision: 1.4 $
 * $Date: 2005/06/03 01:17:24 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.impl.internal.events;

import org.mule.umo.manager.UMOServerEventListener;

/**
 * <code>ModelEventListener</code> is an observer interface that objects can
 * implement and then register themselves with the Mule manager to be notified
 * when a Model event occurs.
 * 
 * 
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.4 $
 */
public interface ModelEventListener extends UMOServerEventListener
{
}
