/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/management/mbeans/MuleConfigurationServiceMBean.java,v 1.4 2005/06/03 01:17:25 gnt Exp $
 * $Revision: 1.4 $
 * $Date: 2005/06/03 01:17:25 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.management.mbeans;

import org.mule.config.QueueProfile;

/**
 * <code>MuleConfigurationServiceMBean</code> is a JMx service interface for
 * the Mule server configuration
 * 
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.4 $
 */
public interface MuleConfigurationServiceMBean
{

    // ThreadingProfile getMessageDispatcherThreadingProfile();

    // ThreadingProfile getMessageReceiverThreadingProfile();

    // ThreadingProfile getComponentThreadingProfile();

    // ThreadingProfile getDefaultThreadingProfile();

    // PoolingProfile getPoolingProfile();

    // QueueProfile getQueueProfile();

    boolean isSynchronous();

    void setSynchronous(boolean synchronous);

    int getSynchronousEventTimeout();

    void setSynchronousEventTimeout(int synchronousEventTimeout);

    boolean isSynchronousReceive();

    QueueProfile getQueueProfile();

    boolean isRecoverableMode();

    String getWorkingDirectory();

    String[] getConfigResources();

    String getServerUrl();
}
