/*
 * $Header: /home/projects/mule/scm/mule/providers/dq/src/java/org/mule/providers/dq/DQMessageDispatcherFactory.java,v 1.1 2005/06/09 10:58:42 gnt Exp $
 * $Revision: 1.1 $
 * $Date: 2005/06/09 10:58:42 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.providers.dq;

import org.mule.umo.UMOException;
import org.mule.umo.provider.UMOConnector;
import org.mule.umo.provider.UMOMessageDispatcher;
import org.mule.umo.provider.UMOMessageDispatcherFactory;

/**
 * @author m999svm
 * 
 * DQMessageDispatcherFactory
 */
public class DQMessageDispatcherFactory implements UMOMessageDispatcherFactory
{

    public final UMOMessageDispatcher create(final UMOConnector connector) throws UMOException
    {
        return new DQMessageDispatcher((DQConnector) connector);
    }

}
