/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/transformers/encryption/EncryptionTransformer.java,v 1.4 2005/06/03 01:17:57 gnt Exp $
 * $Revision: 1.4 $
 * $Date: 2005/06/03 01:17:57 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.transformers.encryption;

import org.mule.umo.security.CryptoFailureException;

/**
 * <code>EncryptionTransformer</code> will transform an array of bytes or
 * string into an encrypted array of bytes
 * 
 * 
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.4 $
 */
public class EncryptionTransformer extends AbstractEncryptionTransformer
{
    protected byte[] getTransformedBytes(byte[] buffer) throws CryptoFailureException
    {
        return getStrategy().encrypt(buffer, null);
    }
}
