/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/umo/routing/UMOResponseRouter.java,v 1.4 2005/08/23 14:09:40 rossmason Exp $
 * $Revision: 1.4 $
 * $Date: 2005/08/23 14:09:40 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.umo.routing;

import org.mule.umo.UMOEvent;
import org.mule.umo.UMOMessage;

/**
 * <code>UMOResponseRouter</code> is a router that handles response flow
 * 
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.4 $
 */

public interface UMOResponseRouter extends UMORouter
{
    void process(UMOEvent event) throws RoutingException;

    UMOMessage getResponse(UMOMessage message) throws RoutingException;

    void setTimeout(int timeout);

    int getTimeout();
}
