/* 
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/util/UUID.java,v 1.4 2005/06/03 01:20:29 gnt Exp $
 * $Revision: 1.4 $
 * $Date: 2005/06/03 01:20:29 $
 * ------------------------------------------------------------------------------------------------------
 * 
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 * 
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file. 
 *
 */
package org.mule.util;

import java.io.Serializable;

import org.doomdark.uuid.UUIDGenerator;

/**
 * <code>UUID</code> Generates a UUID using the doom dark JUG library
 * 
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.4 $
 */

public class UUID implements Serializable
{
    private static UUIDGenerator gen = UUIDGenerator.getInstance();
    String uuid = null;

    public UUID()
    {
        uuid = gen.generateTimeBasedUUID().toString();
    }

    public String getUUID()
    {
        return uuid;
    }
}
