/*
 * $Header: /home/projects/mule/scm/mule/providers/email/src/test/java/org/mule/test/providers/email/SmtpConnectorTestCase.java,v 1.4 2005/06/10 13:17:50 gnt Exp $
 * $Revision: 1.4 $
 * $Date: 2005/06/10 13:17:50 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.test.providers.email;

import org.mule.providers.email.SmtpConnector;
import org.mule.umo.provider.UMOConnector;

/**
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.4 $
 */

public class SmtpConnectorTestCase extends Pop3ConnectorTestCase
{
    public UMOConnector getConnector() throws Exception
    {
        SmtpConnector c = new SmtpConnector();
        c.setName("Smtpconnector");
        c.initialise();
        return c;
    }

    public String getTestEndpointURI()
    {
        return "smtp://a:a@a.com";
    }

    public void testReceiver() throws Exception
    {
    }

}
