/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/config/PropertyFactory.java,v 1.3 2005/06/03 01:17:23 gnt Exp $
 * $Revision: 1.3 $
 * $Date: 2005/06/03 01:17:23 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.config;

import java.util.Map;

/**
 * <code>PropertyFactory</code> is used to create objects from the property
 * file,
 * 
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.3 $
 */
public interface PropertyFactory
{
    Object create(Map properties) throws Exception;
}
