/* 
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/impl/jndi/MuleInitialContextFactory.java,v 1.1 2005/07/20 14:13:38 rossmason Exp $
 * $Revision: 1.1 $
 * $Date: 2005/07/20 14:13:38 $
 * ------------------------------------------------------------------------------------------------------
 * 
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 * 
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file. 
 *
 */

package org.mule.impl.jndi;

import javax.naming.Context;
import javax.naming.NamingException;
import javax.naming.spi.InitialContextFactory;
import java.util.Hashtable;

/**
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.1 $
 */
public class MuleInitialContextFactory implements InitialContextFactory
{
    public Context getInitialContext(Hashtable hashtable) throws NamingException {
        return new SimpleContext();
    }
}
