/* 
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/management/mbeans/EndpointServiceMBean.java,v 1.2 2005/06/03 01:17:25 gnt Exp $
 * $Revision: 1.2 $
 * $Date: 2005/06/03 01:17:25 $
 * ------------------------------------------------------------------------------------------------------
 * 
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 * 
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file. 
 *
 */
package org.mule.management.mbeans;

/**
 * The EndpointServiceMBean allows you to check the confiugration of an endpoint
 * and conect/disconnect endpoints manually.
 * 
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.2 $
 */
public interface EndpointServiceMBean
{

    String getAddress();

    String getName();

    boolean isConnected();

    void connect() throws Exception;

    void disconnect() throws Exception;

    String getType();

    boolean isSynchronous();
}
