/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/management/stats/Statistics.java,v 1.3 2005/06/03 01:17:25 gnt Exp $
 * $Revision: 1.3 $
 * $Date: 2005/06/03 01:17:25 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.management.stats;

import java.io.Serializable;

/**
 * <code>Statistics</code> todo
 * 
 * @author <a href="mailto:S.Vanmeerhaege@gfdi.be">Vanmeerhaeghe Stphane</a>
 * @version $Revision: 1.3 $
 */
public interface Statistics extends Serializable
{
    /**
     * Are statistics logged
     */
    boolean isEnabled();

    /**
     * Enable statistics logs (this is a dynamic parameter)
     */
    void setEnabled(boolean b);

    void clear();

    void logSummary();
}
