/*
 * $Header: /home/projects/mule/scm/mule/providers/ejb/src/java/org/mule/providers/ejb/EjbMessageDispatcherFactory.java,v 1.1 2005/08/27 10:47:30 rossmason Exp $
 * $Revision: 1.1 $
 * $Date: 2005/08/27 10:47:30 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.providers.ejb;

import org.mule.umo.UMOException;
import org.mule.umo.provider.UMOConnector;
import org.mule.umo.provider.UMOMessageDispatcher;
import org.mule.umo.provider.UMOMessageDispatcherFactory;
/*
 * Code by (c) 2005 P.Oikari.
 *
 * @author <a href="mailto:pnirvin@hotmail.com">P.Oikari</a>
 * @version $Revision: 1.1 $
 */
public class EjbMessageDispatcherFactory implements UMOMessageDispatcherFactory
{
  public UMOMessageDispatcher create(UMOConnector connector) throws UMOException
  {
    return new EjbMessageDispatcher((EjbConnector) connector);
  }
}

