/*
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/umo/UMOExceptionPayload.java,v 1.3 2005/06/03 01:17:57 gnt Exp $
 * $Revision: 1.3 $
 * $Date: 2005/06/03 01:17:57 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.umo;

import java.util.Map;

/**
 * <code>UMOExceptionPayload</code> is a message payload that contains
 * exception information that occurred during message processing
 * 
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.3 $
 */
public interface UMOExceptionPayload
{

    int getCode();

    String getMessage();

    Map getInfo();

    Throwable getException();
}
