/* 
 * $Header: /home/projects/mule/scm/mule/mule/src/java/org/mule/umo/lifecycle/Lifecycle.java,v 1.4 2005/06/03 01:17:58 gnt Exp $
 * $Revision: 1.4 $
 * $Date: 2005/06/03 01:17:58 $
 * ------------------------------------------------------------------------------------------------------
 * 
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 * 
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file. 
 *
 */

package org.mule.umo.lifecycle;

/**
 * <code>Lifecycle</code> adds lifecycle methods <code>start</code>,
 * <code>stop</code> and <code>dispose</code>.
 * 
 * @author <a href="mailto:ross.mason@symphonysoft.com">Ross Mason</a>
 * @version $Revision: 1.4 $
 */
public interface Lifecycle extends Startable, Stoppable, Disposable
{

}
