/*
 * $Header: /home/projects/mule/scm/mule/providers/ejb/src/test/java/org/mule/providers/ejb/EjbMessageAdapterTestCase.java,v 1.1 2005/08/27 10:47:30 rossmason Exp $
 * $Revision: 1.1 $
 * $Date: 2005/08/27 10:47:30 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.providers.ejb;

import org.mule.tck.providers.AbstractMessageAdapterTestCase;
import org.mule.umo.provider.UMOMessageAdapter;

/**
 * @author <a href="mailto:fsweng@bass.com.my">fs Weng</a>
 * @version $Revision: 1.1 $
 */
public class EjbMessageAdapterTestCase extends AbstractMessageAdapterTestCase
{
    public Object getValidMessage() throws Exception
    {
        return "Hello".getBytes();
    }

    public UMOMessageAdapter createAdapter(Object payload) throws Exception
    {
        return new EjbMessageAdapter(payload);
    }

    public Object getInvalidMessage()
    {
        return null;
    }
}
