/*
 * $Header: /home/projects/mule/scm/mule/providers/rmi/src/test/java/org/mule/providers/rmi/RmiMessageAdapterTestCase.java,v 1.2 2005/05/03 13:11:11 gnt Exp $
 * $Revision: 1.2 $
 * $Date: 2005/05/03 13:11:11 $
 * ------------------------------------------------------------------------------------------------------
 *
 * Copyright (c) SymphonySoft Limited. All rights reserved.
 * http://www.symphonysoft.com
 *
 * The software in this package is published under the terms of the BSD
 * style license a copy of which has been included with this distribution in
 * the LICENSE.txt file.
 */
package org.mule.providers.rmi;

import org.mule.tck.providers.AbstractMessageAdapterTestCase;
import org.mule.umo.provider.UMOMessageAdapter;

/**
 * @author <a href="mailto:fsweng@bass.com.my">fs Weng</a>
 * @version $Revision: 1.2 $
 */
public class RmiMessageAdapterTestCase extends AbstractMessageAdapterTestCase
{
    public Object getValidMessage() throws Exception
    {
        return "Hello".getBytes();
    }

    public UMOMessageAdapter createAdapter(Object payload) throws Exception
    {
        return new RmiMessageAdapter(payload);
    }

    public Object getInvalidMessage()
    {
        return null;
    }
}
